mDNS
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getMdnsGrid | GET | Get mDNS rule list |
| createMdns | POST | Create a new mDNS rule |
| deleteMdns | DELETE | Delete an exist mDNS rule |
| modifyMdns | PATCH | Modify an exist mDNS rule |
getMdnsGrid
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/service/mdns
Get mDNS rule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getMdnsGrid",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get mDNS rule list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
createMdns
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/service/mdns
Create a new mDNS rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateMdnsRuleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | MDNS rule name. Name should contain 1 to 64 characters |
status | boolean | yes | MDNS rule enable status |
profileIds | array<string> | yes | This field represents Bonjour service profile ID. Bonjour Service Profile can be created using 'Create new Bonjour Service' interface, and Bonjour service profile ID can be obtained from 'Get Bonjour Service list' interface |
type | integer | no | MDNS rule band VLAN type. Type should be a value as follows: 0: By VLAN ID, 1: By Network |
ap | ApMdnsRuleOpenApiVO | no | (ApMdnsRuleOpenApiVO not expanded; call omada_get_schema "ApMdnsRuleOpenApiVO") |
osg | OsgMdnsRuleOpenApiVO | no | (OsgMdnsRuleOpenApiVO not expanded; call omada_get_schema "OsgMdnsRuleOpenApiVO") |
// omada_call_operation
{
"operationId": "createMdns",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create a new mDNS rule with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-34521 - The gateway does not support mDNS.
-34523 - This mDNS rule name already exists.
-34524 - The number of mDNS rules has reached the limit.
-34526 - To prevent network problems, cannot create an mDNS rule of by network type when an mDNS rule of by VLAN ID type already exists.
-34527 - To prevent network problems, cannot create an mDNS rule of by VLAN ID type when an mDNS rule of by network type already exists.
deleteMdns
DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/service/mdns/{mdnsId}
Delete an exist mDNS rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
mdnsId | path | string | yes | mDNS rule ID |
// omada_call_operation
{
"operationId": "deleteMdns",
"params": {
"siteId": "<siteId>",
"mdnsId": "<mdnsId>"
}
}Details, permissions and error codes
Delete an exist mDNS rule with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
modifyMdns
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/service/mdns/{mdnsId}
Modify an exist mDNS rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
mdnsId | path | string | yes | mDNS rule ID |
Request body — application/json (required) — schema CreateMdnsRuleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | MDNS rule name. Name should contain 1 to 64 characters |
status | boolean | yes | MDNS rule enable status |
profileIds | array<string> | yes | This field represents Bonjour service profile ID. Bonjour Service Profile can be created using 'Create new Bonjour Service' interface, and Bonjour service profile ID can be obtained from 'Get Bonjour Service list' interface |
type | integer | no | MDNS rule band VLAN type. Type should be a value as follows: 0: By VLAN ID, 1: By Network |
ap | ApMdnsRuleOpenApiVO | no | (ApMdnsRuleOpenApiVO not expanded; call omada_get_schema "ApMdnsRuleOpenApiVO") |
osg | OsgMdnsRuleOpenApiVO | no | (OsgMdnsRuleOpenApiVO not expanded; call omada_get_schema "OsgMdnsRuleOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyMdns",
"params": {
"siteId": "<siteId>",
"mdnsId": "<mdnsId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an exist mDNS rule with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-34521 - The gateway does not support mDNS.
-34523 - This mDNS rule name already exists.
-34524 - The number of mDNS rules has reached the limit.
-34525 - This mDNS rule does not exist.